# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atm_isp.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='atm_isp.proto',
  package='',
  syntax='proto3',
  serialized_options=b'\n\023com.example.atmosic',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\ratm_isp.proto\"\xd4\x07\n\x07\x41rchive\x12\x1f\n\x04meta\x18\x01 \x01(\x0b\x32\x11.Archive.MetaInfo\x12 \n\x06script\x18\x02 \x03(\x0b\x32\x10.Archive.Command\x1a(\n\x08Platform\x12\x0e\n\x06\x66\x61mily\x18\x01 \x01(\t\x12\x0c\n\x04name\x18\x02 \x01(\t\x1a~\n\x08MetaInfo\x12\x11\n\tsignature\x18\x01 \x01(\t\x12#\n\x08platform\x18\x02 \x01(\x0b\x32\x11.Archive.Platform\x12\x11\n\tmpr_start\x18\x03 \x01(\r\x12\x10\n\x08mpr_size\x18\x04 \x01(\r\x12\x15\n\rmpr_lock_size\x18\x05 \x01(\r\x1a@\n\x19HiddenCmdNvdsReadModWrite\x12\x0e\n\x06invert\x18\x01 \x01(\x08\x12\x13\n\x0bnvdsContent\x18\x02 \x01(\x0c\x1a#\n\x12\x43mdOpenOcdLoadBase\x12\r\n\x05image\x18\x01 \x01(\x0c\x1au\n\x17\x43mdOpenOcdLoadFlashBase\x12/\n\ncommonLoad\x18\x01 \x01(\x0b\x32\x1b.Archive.CmdOpenOcdLoadBase\x12\x14\n\x0cregion_start\x18\x02 \x01(\r\x12\x13\n\x0bregion_size\x18\x03 \x01(\r\x1a\x61\n\x13\x43mdOpenOcdLoadFlash\x12\x39\n\x0f\x63ommonLoadFlash\x18\x01 \x01(\x0b\x32 .Archive.CmdOpenOcdLoadFlashBase\x12\x0f\n\x07\x61\x64\x64ress\x18\x02 \x01(\r\x1aT\n\x17\x43mdOpenOcdLoadFlashNvds\x12\x39\n\x0f\x63ommonLoadFlash\x18\x01 \x01(\x0b\x32 .Archive.CmdOpenOcdLoadFlashBase\x1aH\n\x15\x43mdOpenOcdLoadOtpNvds\x12/\n\ncommonLoad\x18\x01 \x01(\x0b\x32\x1b.Archive.CmdOpenOcdLoadBase\x1a\xfa\x01\n\x07\x43ommand\x12>\n\x10nvdsReadModWrite\x18\x01 \x01(\x0b\x32\".Archive.HiddenCmdNvdsReadModWriteH\x00\x12\x31\n\tloadFlash\x18\x02 \x01(\x0b\x32\x1c.Archive.CmdOpenOcdLoadFlashH\x00\x12\x39\n\rloadFlashNvds\x18\x03 \x01(\x0b\x32 .Archive.CmdOpenOcdLoadFlashNvdsH\x00\x12\x35\n\x0bloadOtpNvds\x18\x04 \x01(\x0b\x32\x1e.Archive.CmdOpenOcdLoadOtpNvdsH\x00\x42\n\n\x08\x63mdUnionB\x15\n\x13\x63om.example.atmosicb\x06proto3'
)




_ARCHIVE_PLATFORM = _descriptor.Descriptor(
  name='Platform',
  full_name='Archive.Platform',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='family', full_name='Archive.Platform.family', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='Archive.Platform.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=96,
  serialized_end=136,
)

_ARCHIVE_METAINFO = _descriptor.Descriptor(
  name='MetaInfo',
  full_name='Archive.MetaInfo',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='signature', full_name='Archive.MetaInfo.signature', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='platform', full_name='Archive.MetaInfo.platform', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='mpr_start', full_name='Archive.MetaInfo.mpr_start', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='mpr_size', full_name='Archive.MetaInfo.mpr_size', index=3,
      number=4, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='mpr_lock_size', full_name='Archive.MetaInfo.mpr_lock_size', index=4,
      number=5, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=138,
  serialized_end=264,
)

_ARCHIVE_HIDDENCMDNVDSREADMODWRITE = _descriptor.Descriptor(
  name='HiddenCmdNvdsReadModWrite',
  full_name='Archive.HiddenCmdNvdsReadModWrite',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='invert', full_name='Archive.HiddenCmdNvdsReadModWrite.invert', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='nvdsContent', full_name='Archive.HiddenCmdNvdsReadModWrite.nvdsContent', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=266,
  serialized_end=330,
)

_ARCHIVE_CMDOPENOCDLOADBASE = _descriptor.Descriptor(
  name='CmdOpenOcdLoadBase',
  full_name='Archive.CmdOpenOcdLoadBase',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='image', full_name='Archive.CmdOpenOcdLoadBase.image', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=332,
  serialized_end=367,
)

_ARCHIVE_CMDOPENOCDLOADFLASHBASE = _descriptor.Descriptor(
  name='CmdOpenOcdLoadFlashBase',
  full_name='Archive.CmdOpenOcdLoadFlashBase',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='commonLoad', full_name='Archive.CmdOpenOcdLoadFlashBase.commonLoad', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='region_start', full_name='Archive.CmdOpenOcdLoadFlashBase.region_start', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='region_size', full_name='Archive.CmdOpenOcdLoadFlashBase.region_size', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=369,
  serialized_end=486,
)

_ARCHIVE_CMDOPENOCDLOADFLASH = _descriptor.Descriptor(
  name='CmdOpenOcdLoadFlash',
  full_name='Archive.CmdOpenOcdLoadFlash',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='commonLoadFlash', full_name='Archive.CmdOpenOcdLoadFlash.commonLoadFlash', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='address', full_name='Archive.CmdOpenOcdLoadFlash.address', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=488,
  serialized_end=585,
)

_ARCHIVE_CMDOPENOCDLOADFLASHNVDS = _descriptor.Descriptor(
  name='CmdOpenOcdLoadFlashNvds',
  full_name='Archive.CmdOpenOcdLoadFlashNvds',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='commonLoadFlash', full_name='Archive.CmdOpenOcdLoadFlashNvds.commonLoadFlash', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=587,
  serialized_end=671,
)

_ARCHIVE_CMDOPENOCDLOADOTPNVDS = _descriptor.Descriptor(
  name='CmdOpenOcdLoadOtpNvds',
  full_name='Archive.CmdOpenOcdLoadOtpNvds',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='commonLoad', full_name='Archive.CmdOpenOcdLoadOtpNvds.commonLoad', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=673,
  serialized_end=745,
)

_ARCHIVE_COMMAND = _descriptor.Descriptor(
  name='Command',
  full_name='Archive.Command',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='nvdsReadModWrite', full_name='Archive.Command.nvdsReadModWrite', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='loadFlash', full_name='Archive.Command.loadFlash', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='loadFlashNvds', full_name='Archive.Command.loadFlashNvds', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='loadOtpNvds', full_name='Archive.Command.loadOtpNvds', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='cmdUnion', full_name='Archive.Command.cmdUnion',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=748,
  serialized_end=998,
)

_ARCHIVE = _descriptor.Descriptor(
  name='Archive',
  full_name='Archive',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='meta', full_name='Archive.meta', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='script', full_name='Archive.script', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_ARCHIVE_PLATFORM, _ARCHIVE_METAINFO, _ARCHIVE_HIDDENCMDNVDSREADMODWRITE, _ARCHIVE_CMDOPENOCDLOADBASE, _ARCHIVE_CMDOPENOCDLOADFLASHBASE, _ARCHIVE_CMDOPENOCDLOADFLASH, _ARCHIVE_CMDOPENOCDLOADFLASHNVDS, _ARCHIVE_CMDOPENOCDLOADOTPNVDS, _ARCHIVE_COMMAND, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=18,
  serialized_end=998,
)

_ARCHIVE_PLATFORM.containing_type = _ARCHIVE
_ARCHIVE_METAINFO.fields_by_name['platform'].message_type = _ARCHIVE_PLATFORM
_ARCHIVE_METAINFO.containing_type = _ARCHIVE
_ARCHIVE_HIDDENCMDNVDSREADMODWRITE.containing_type = _ARCHIVE
_ARCHIVE_CMDOPENOCDLOADBASE.containing_type = _ARCHIVE
_ARCHIVE_CMDOPENOCDLOADFLASHBASE.fields_by_name['commonLoad'].message_type = _ARCHIVE_CMDOPENOCDLOADBASE
_ARCHIVE_CMDOPENOCDLOADFLASHBASE.containing_type = _ARCHIVE
_ARCHIVE_CMDOPENOCDLOADFLASH.fields_by_name['commonLoadFlash'].message_type = _ARCHIVE_CMDOPENOCDLOADFLASHBASE
_ARCHIVE_CMDOPENOCDLOADFLASH.containing_type = _ARCHIVE
_ARCHIVE_CMDOPENOCDLOADFLASHNVDS.fields_by_name['commonLoadFlash'].message_type = _ARCHIVE_CMDOPENOCDLOADFLASHBASE
_ARCHIVE_CMDOPENOCDLOADFLASHNVDS.containing_type = _ARCHIVE
_ARCHIVE_CMDOPENOCDLOADOTPNVDS.fields_by_name['commonLoad'].message_type = _ARCHIVE_CMDOPENOCDLOADBASE
_ARCHIVE_CMDOPENOCDLOADOTPNVDS.containing_type = _ARCHIVE
_ARCHIVE_COMMAND.fields_by_name['nvdsReadModWrite'].message_type = _ARCHIVE_HIDDENCMDNVDSREADMODWRITE
_ARCHIVE_COMMAND.fields_by_name['loadFlash'].message_type = _ARCHIVE_CMDOPENOCDLOADFLASH
_ARCHIVE_COMMAND.fields_by_name['loadFlashNvds'].message_type = _ARCHIVE_CMDOPENOCDLOADFLASHNVDS
_ARCHIVE_COMMAND.fields_by_name['loadOtpNvds'].message_type = _ARCHIVE_CMDOPENOCDLOADOTPNVDS
_ARCHIVE_COMMAND.containing_type = _ARCHIVE
_ARCHIVE_COMMAND.oneofs_by_name['cmdUnion'].fields.append(
  _ARCHIVE_COMMAND.fields_by_name['nvdsReadModWrite'])
_ARCHIVE_COMMAND.fields_by_name['nvdsReadModWrite'].containing_oneof = _ARCHIVE_COMMAND.oneofs_by_name['cmdUnion']
_ARCHIVE_COMMAND.oneofs_by_name['cmdUnion'].fields.append(
  _ARCHIVE_COMMAND.fields_by_name['loadFlash'])
_ARCHIVE_COMMAND.fields_by_name['loadFlash'].containing_oneof = _ARCHIVE_COMMAND.oneofs_by_name['cmdUnion']
_ARCHIVE_COMMAND.oneofs_by_name['cmdUnion'].fields.append(
  _ARCHIVE_COMMAND.fields_by_name['loadFlashNvds'])
_ARCHIVE_COMMAND.fields_by_name['loadFlashNvds'].containing_oneof = _ARCHIVE_COMMAND.oneofs_by_name['cmdUnion']
_ARCHIVE_COMMAND.oneofs_by_name['cmdUnion'].fields.append(
  _ARCHIVE_COMMAND.fields_by_name['loadOtpNvds'])
_ARCHIVE_COMMAND.fields_by_name['loadOtpNvds'].containing_oneof = _ARCHIVE_COMMAND.oneofs_by_name['cmdUnion']
_ARCHIVE.fields_by_name['meta'].message_type = _ARCHIVE_METAINFO
_ARCHIVE.fields_by_name['script'].message_type = _ARCHIVE_COMMAND
DESCRIPTOR.message_types_by_name['Archive'] = _ARCHIVE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Archive = _reflection.GeneratedProtocolMessageType('Archive', (_message.Message,), {

  'Platform' : _reflection.GeneratedProtocolMessageType('Platform', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_PLATFORM,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.Platform)
    })
  ,

  'MetaInfo' : _reflection.GeneratedProtocolMessageType('MetaInfo', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_METAINFO,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.MetaInfo)
    })
  ,

  'HiddenCmdNvdsReadModWrite' : _reflection.GeneratedProtocolMessageType('HiddenCmdNvdsReadModWrite', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_HIDDENCMDNVDSREADMODWRITE,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.HiddenCmdNvdsReadModWrite)
    })
  ,

  'CmdOpenOcdLoadBase' : _reflection.GeneratedProtocolMessageType('CmdOpenOcdLoadBase', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_CMDOPENOCDLOADBASE,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.CmdOpenOcdLoadBase)
    })
  ,

  'CmdOpenOcdLoadFlashBase' : _reflection.GeneratedProtocolMessageType('CmdOpenOcdLoadFlashBase', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_CMDOPENOCDLOADFLASHBASE,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.CmdOpenOcdLoadFlashBase)
    })
  ,

  'CmdOpenOcdLoadFlash' : _reflection.GeneratedProtocolMessageType('CmdOpenOcdLoadFlash', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_CMDOPENOCDLOADFLASH,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.CmdOpenOcdLoadFlash)
    })
  ,

  'CmdOpenOcdLoadFlashNvds' : _reflection.GeneratedProtocolMessageType('CmdOpenOcdLoadFlashNvds', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_CMDOPENOCDLOADFLASHNVDS,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.CmdOpenOcdLoadFlashNvds)
    })
  ,

  'CmdOpenOcdLoadOtpNvds' : _reflection.GeneratedProtocolMessageType('CmdOpenOcdLoadOtpNvds', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_CMDOPENOCDLOADOTPNVDS,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.CmdOpenOcdLoadOtpNvds)
    })
  ,

  'Command' : _reflection.GeneratedProtocolMessageType('Command', (_message.Message,), {
    'DESCRIPTOR' : _ARCHIVE_COMMAND,
    '__module__' : 'atm_isp_pb2'
    # @@protoc_insertion_point(class_scope:Archive.Command)
    })
  ,
  'DESCRIPTOR' : _ARCHIVE,
  '__module__' : 'atm_isp_pb2'
  # @@protoc_insertion_point(class_scope:Archive)
  })
_sym_db.RegisterMessage(Archive)
_sym_db.RegisterMessage(Archive.Platform)
_sym_db.RegisterMessage(Archive.MetaInfo)
_sym_db.RegisterMessage(Archive.HiddenCmdNvdsReadModWrite)
_sym_db.RegisterMessage(Archive.CmdOpenOcdLoadBase)
_sym_db.RegisterMessage(Archive.CmdOpenOcdLoadFlashBase)
_sym_db.RegisterMessage(Archive.CmdOpenOcdLoadFlash)
_sym_db.RegisterMessage(Archive.CmdOpenOcdLoadFlashNvds)
_sym_db.RegisterMessage(Archive.CmdOpenOcdLoadOtpNvds)
_sym_db.RegisterMessage(Archive.Command)


DESCRIPTOR._options = None
# @@protoc_insertion_point(module_scope)
